import { Show } from "solid-js";
import { A } from "solid-start";

function DeviceTile(props: { href?: string; name: string; src: string }) {
  return (
    <A href={props.href ?? "/soon"}>
      <div class="raster">
        <h3>{props.name}</h3>
        <Show when={props.src.startsWith("/images")}>
          <img src={props.src} alt={props.name} />
        </Show>
        <Show when={props.src.startsWith("/videos")}>
          <video width="auto" height="auto" autoplay muted loop>
            <source src={props.src} type="video/mp4" />
          </video>
        </Show>
      </div>
    </A>
  );
}

export default DeviceTile;
