// @refresh reload
import "@fortawesome/fontawesome-svg-core/styles.css";
import { Suspense } from "solid-js";
import {
  FileRoutes,
  Head,
  Html,
  Link,
  Meta,
  Routes,
  Scripts,
  Title,
  useLocation,
} from "solid-start";

export default function Root() {
  const location = useLocation();
  return (
    <Html lang={location.pathname.startsWith("/de") ? "de" : "en"}>
      <Head>
        <Link
          rel="apple-touch-icon"
          sizes="57x57"
          href="/favicon/apple-icon-57x57.png"
        />
        <Link
          rel="apple-touch-icon"
          sizes="60x60"
          href="/favicon/apple-icon-60x60.png"
        />
        <Link
          rel="apple-touch-icon"
          sizes="72x72"
          href="/favicon/apple-icon-72x72.png"
        />
        <Link
          rel="apple-touch-icon"
          sizes="76x76"
          href="/favicon/apple-icon-76x76.png"
        />
        <Link
          rel="apple-touch-icon"
          sizes="114x114"
          href="/favicon/apple-icon-114x114.png"
        />
        <Link
          rel="apple-touch-icon"
          sizes="120x120"
          href="/favicon/apple-icon-120x120.png"
        />
        <Link
          rel="apple-touch-icon"
          sizes="144x144"
          href="/favicon/apple-icon-144x144.png"
        />
        <Link
          rel="apple-touch-icon"
          sizes="152x152"
          href="/favicon/apple-icon-152x152.png"
        />
        <Link
          rel="apple-touch-icon"
          sizes="180x180"
          href="/favicon/apple-icon-180x180.png"
        />
        <Link
          rel="icon"
          type="image/png"
          sizes="192x192"
          href="/favicon/android-icon-192x192.png"
        />
        <Link
          rel="icon"
          type="image/png"
          sizes="32x32"
          href="/favicon/favicon-32x32.png"
        />
        <Link
          rel="icon"
          type="image/png"
          sizes="96x96"
          href="/favicon/favicon-96x96.png"
        />
        <Link
          rel="icon"
          type="image/png"
          sizes="16x16"
          href="/favicon/favicon-16x16.png"
        />
        <Link rel="manifest" href="/favicon/manifest.json" />
        <Meta name="msapplication-TileColor" content="#ffffff" />
        <Meta
          name="msapplication-TileImage"
          content="/favicon/ms-icon-144x144.png"
        />
        <Meta name="theme-color" content="#ffffff" />
        <Meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <Meta charset="UTF-8" />
        <Meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <Meta name="author" content="Julian Gerhardt" />
        <Meta
          name="keywords"
          content="Elektrische einräder, EUC, Monowheels, Kingsong, Inmotion, Gotway"
        />
        <Title>SolidStart - Bare</Title>
      </Head>
      <Suspense>
        <Routes>
          <FileRoutes />
        </Routes>
      </Suspense>
      <Scripts />
    </Html>
  );
}
